summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-04-13 04:15:59 +0000
committerMike Frysinger <vapier@gentoo.org>2015-04-13 04:15:59 +0000
commit705a51ec73dd188dab5491b93a08801d5e1d8ea3 (patch)
tree3e36e869aeb778e213a5148353df541302e9d4a3 /eclass
parentbup (diff)
downloadhistorical-705a51ec73dd188dab5491b93a08801d5e1d8ea3.tar.gz
historical-705a51ec73dd188dab5491b93a08801d5e1d8ea3.tar.bz2
historical-705a51ec73dd188dab5491b93a08801d5e1d8ea3.zip
force the configure shell to bash to work around older configure detection
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass7
1 files changed, 5 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index e9550cdc8341..a1cee187c850 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.660 2015/03/29 19:17:05 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.661 2015/04/13 04:15:59 vapier Exp $
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1232,7 +1232,10 @@ toolchain_src_configure() {
# and now to do the actual configuration
addwrite /dev/zero
echo "${S}"/configure "${confgcc[@]}"
- "${S}"/configure "${confgcc[@]}" || die "failed to run configure"
+ # Older gcc versions did not detect bash and re-exec itself, so force the
+ # use of bash. Newer ones will auto-detect, but this is not harmeful.
+ CONFIG_SHELL="/bin/bash" \
+ bash "${S}"/configure "${confgcc[@]}" || die "failed to run configure"
# return to whatever directory we were in before
popd > /dev/null